The Business API lets you retrieve the historical transactions on your account.
You can:
- Retrieve a specific transaction
- Filter and retrieve all transactions on your account
Retrieve a transaction
To get information about a single specific transaction, by default, you provide the transaction ID.
If you also provide id_type=request_id, set the id field to the request ID from payment creation instead of the transaction ID.
This behavior is deprecated and will be removed in a future release.
To retrieve transactions by their unique transaction ID, use this endpoint.
To retrieve transactions by request ID, use the GET /transactions endpoint instead.
To see example requests and responses:
See the API reference: Retrieve a transaction
Filter and retrieve all transactions
You can retrieve a full list of the transactions on your Revolut Business account.
The results are sorted by the created_at date in reverse chronological order (from newest at the top to oldest at the bottom) and paginated.
The API returns a maximum of 1,000 transactions per request.
To see example requests and responses:
See the API reference: Retrieve a list of transactions
You can also filter the list of transactions by adding one or more of the query parameters listed below to the URL:
curl 'https://b2b.revolut.com/api/1.0/transactions?from=2017-06-01&to=2017-06-10&count=10&account=041c7846-4c5e-44af-b8f6-206f61e9f60a' \
-H "Authorization: Bearer <your access token>"| Parameter | Description | Required | Schema |
|---|---|---|---|
from | The date and time you retrieve the historical transactions from. | No | ISO date/time |
to | The date and time you retrieve the historical transactions to. The default value is the current date and time at which you are calling the endpoint. | No | ISO date/time |
account | The account ID. | No | UUID |
count | The number of the historical transactions to retrieve. The maximum number is 1000. The default number is 100. Used for pagination. | No | Number |
type | The type of the historical transactions to retrieve, which can be atm, card_payment, card_refund, card_chargeback, card_credit, charge, charge_refund, exchange, transfer, loan, fee, refund, topup, topup_return, tax, or tax_refund. | No | Text |
request_id | The filter to find transactions related to the specific request_id provided with the transaction when it was created.If you provide this parameter: - You must also specify the from date-time- The search interval must not exceed 14 days - The to parameter defaults to "now"; for from older than 14 days, it must also be specified | No | Text |
Pagination
The /transactions endpoint supports time-based pagination. It returns transactions in reverse chronological order (from ≤ created_at < to) limited to the most recent count entities. To get the next page of results, make a new request and use the created_at date from the last item of the previous page as to.
What's next
Learn how to map transaction data to a related transaction or card.